Skip to main content
POST
/
v1
/
projects
/
{project_id}
/
images
/
tags
Append Tags To Media List
curl --request POST \
  --url https://api.landing.ai/v1/projects/{project_id}/images/tags \
  --header 'Content-Type: application/json' \
  --data '
{
  "tagNames": [
    "<string>"
  ],
  "mediaIds": [
    123
  ],
  "allMedia": false
}
'
import requests

url = "https://api.landing.ai/v1/projects/{project_id}/images/tags"

payload = {
"tagNames": ["<string>"],
"mediaIds": [123],
"allMedia": False
}
headers = {"Content-Type": "application/json"}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({tagNames: ['<string>'], mediaIds: [123], allMedia: false})
};

fetch('https://api.landing.ai/v1/projects/{project_id}/images/tags', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
  "data": [
    {
      "name": "<string>",
      "id": 123,
      "orgId": 123,
      "isArchived": true,
      "createdAt": "<string>",
      "updatedAt": "<string>",
      "color": "<string>"
    }
  ]
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}

Headers

apikey
string | null

Path Parameters

project_id
integer
required

Query Parameters

timeout
integer | null
default:60

Body

application/json
tagNames
string[]
required
mediaIds
integer[]
required
allMedia
boolean | null
default:false

Response

Successful Response

data
TagItem · object[] | null
required